org.apache.hadoop.hdfs.server.namenode

## Enum FSImageFormatProtobuf.SectionName

- java.lang.Object
- - java.lang.Enum<FSImageFormatProtobuf.SectionName>
  - - org.apache.hadoop.hdfs.server.namenode.FSImageFormatProtobuf.SectionName

- All Implemented Interfaces:
    Serializable, Comparable<FSImageFormatProtobuf.SectionName>
  Enclosing class:
    org.apache.hadoop.hdfs.server.namenode.FSImageFormatProtobuf

      public static enum FSImageFormatProtobuf.SectionName
      extends Enum<FSImageFormatProtobuf.SectionName>

  Supported section name. The order of the enum determines the order of loading.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CACHE_MANAGER`
    `ERASURE_CODING`
    `EXTENDED_ACL`
    `FILES_UNDERCONSTRUCTION`
    `INODE`
    `INODE_DIR`
    `INODE_REFERENCE`
    `NS_INFO`
    `SECRET_MANAGER`
    `SNAPSHOT`
    `SNAPSHOT_DIFF`
    `STRING_TABLE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FSImageFormatProtobuf.SectionName` | `fromString(String name)`
    `static FSImageFormatProtobuf.SectionName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FSImageFormatProtobuf.SectionName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NS_INFO

          public static final FSImageFormatProtobuf.SectionName NS_INFO

    - #### STRING_TABLE

          public static final FSImageFormatProtobuf.SectionName STRING_TABLE

    - #### EXTENDED_ACL

          public static final FSImageFormatProtobuf.SectionName EXTENDED_ACL

    - #### ERASURE_CODING

          public static final FSImageFormatProtobuf.SectionName ERASURE_CODING

    - #### INODE

          public static final FSImageFormatProtobuf.SectionName INODE

    - #### INODE_REFERENCE

          public static final FSImageFormatProtobuf.SectionName INODE_REFERENCE

    - #### SNAPSHOT

          public static final FSImageFormatProtobuf.SectionName SNAPSHOT

    - #### INODE_DIR

          public static final FSImageFormatProtobuf.SectionName INODE_DIR

    - #### FILES_UNDERCONSTRUCTION

          public static final FSImageFormatProtobuf.SectionName FILES_UNDERCONSTRUCTION

    - #### SNAPSHOT_DIFF

          public static final FSImageFormatProtobuf.SectionName SNAPSHOT_DIFF

    - #### SECRET_MANAGER

          public static final FSImageFormatProtobuf.SectionName SECRET_MANAGER

    - #### CACHE_MANAGER

          public static final FSImageFormatProtobuf.SectionName CACHE_MANAGER

  - ### Method Detail

    - #### values

          public static FSImageFormatProtobuf.SectionName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FSImageFormatProtobuf.SectionName c : FSImageFormatProtobuf.SectionName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FSImageFormatProtobuf.SectionName valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromString

          public static FSImageFormatProtobuf.SectionName fromString(String name)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.